## liquidwar 5.6.4

=== utils/lwmapgen/Makefile ===
# Copyright (C) 2003, David Redick
# Released under the GNU General Public License (v2)

CC=gcc
CFLAGS=-ggdb -O3 -Wall -W -ansi `allegro-config --cflags`
LDFLAGS=`allegro-config --libs` -lm
EXE=liquidwar-mapgen

OBJ=big_quad.o boxes.o bubbles.o circles.o circuit.o cut.o func.o hole.o \
	lines.o map.o map_generator.o misc.o rand_box.o rand_func.o rand_poly.o \
	rand_poly_cut.o street.o worms.o


all: $(EXE)

$(EXE): core main.c
	$(CC) $(CFLAGS) main.c $(OBJ) $(LDFLAGS) -o $(EXE)
	#strip $(EXE)

core: $(OBJ)
	@echo ""
	@echo "Done compiling core functions..."
	@echo ""

clean: cleanmap
	rm -rf $(EXE) *~ *.o

cleanmaps: cleanmap

cleanmap:
	rm -rf *.bmp ./maps/*

###############################################################################
# core files... keep func.o, map.o, map_generator.o and misc.o at top

misc.o: misc.c misc.h
	$(CC) $(CFLAGS) -c misc.c

func.o: func.c func.h func_list.h
	$(CC) $(CFLAGS) -c func.c

map.o: map.c map.h func.o misc.o
	$(CC) $(CFLAGS) -c map.c

map_generator.o: map_generator.c map_generator.h map.o
	$(CC) $(CFLAGS) -c map_generator.c


big_quad.o: big_quad.c map.o
	$(CC) $(CFLAGS) -c big_quad.c

boxes.o: boxes.c map.o
	$(CC) $(CFLAGS) -c boxes.c

bubbles.o: bubbles.c map.o
	$(CC) $(CFLAGS) -c bubbles.c

circles.o: circles.c map.o
	$(CC) $(CFLAGS) -c circles.c

circuit.o: circuit.c map.o
	$(CC) $(CFLAGS) -c circuit.c

cut.o: cut.c cut.h map.o
	$(CC) $(CFLAGS) -c cut.c

hole.o: hole.c rand_poly.o
	$(CC) $(CFLAGS) -c hole.c

lines.o: lines.c cut.o
	$(CC) $(CFLAGS) -c lines.c

rand_box.o: rand_box.c map.o
	$(CC) $(CFLAGS) -c rand_box.c

rand_func.o: rand_func.c map.o
	$(CC) $(CFLAGS) -c rand_func.c

rand_poly.o: rand_poly.c map.o
	$(CC) $(CFLAGS) -c rand_poly.c

rand_poly_cut.o: rand_poly_cut.c rand_poly.o cut.o
	$(CC) $(CFLAGS) -c rand_poly_cut.c

street.o: street.c map.o
	$(CC) $(CFLAGS) -c street.c

worms.o: worms.c map.o
	$(CC) $(CFLAGS) -c worms.c

=== utils/snprintf/Makefile ===
# Make sure you include -DHAVE_SNPRINTF in CFLAGS if your system
# does have snprintf!

# If you need (long long int) support and you sprintf supports it,
# define -DSNPRINTF_LONGLONG_SUPPORT

CC      = gcc

CFLAGS  = -DPREFER_PORTABLE_SNPRINTF -O3 \
	  -Wall -Wpointer-arith -Wwrite-strings \
	  -Wcast-qual -Wcast-align -Waggregate-return \
	  -Wmissing-prototypes -Wmissing-declarations \
	  -Wshadow -Wstrict-prototypes

#	  -DNEED_ASPRINTF -DNEED_ASNPRINTF -DNEED_VASPRINTF -DNEED_VASNPRINTF
#	  -DNEED_SNPRINTF_ONLY

# Digital Unix: native compiler usually produces better code than gcc
#CC     = cc
#CFLAGS = -DPREFER_PORTABLE_SNPRINTF -O4 -std1 -arch host

# Recommend to leave COMPATIBILITY empty for normal use.
# Should be set for bug compatibility when running tests
# too keep them less chatty.
COMPATIBILITY =

#COMPATIBILITY = -DSOLARIS_BUG_COMPATIBLE
#COMPATIBILITY = -DHPUX_BUG_COMPATIBLE
#COMPATIBILITY = -DDIGITAL_UNIX_BUG_COMPATIBLE
#COMPATIBILITY = -DPERL_BUG_COMPATIBLE
#COMPATIBILITY = -DLINUX_COMPATIBLE

.c.o:
	rm -f $@
	$(CC) $(CFLAGS) $(COMPATIBILITY) -c $*.c

all:snprintf.o Makefile

test::snprintf.o test.c Makefile
	$(CC) $(CFLAGS) $(COMPATIBILITY) snprintf.o -o $@ test.c

clean:
	/usr/bin/rm -f *.o test core

=== debian/changelog ===
liquidwar (5.6.4-5) unstable; urgency=medium

  * Team upload.
  * Use compat level 9 and require debhelper >= 9.
  * wrap-and-sort -sa.
  * Switch to source format 3.0 (quilt).
  * Declare compliance with Debian Policy 3.9.8.
  * Vcs-Browser: Use https.
  * Build-depend on liballegro4-dev instead of virtual liballegro4.2-dev.
    (Closes: #831436)
  * Add man-page-has-errors.patch and fix errors in liquidwar-server manpage.

 -- Markus Koschany <apo@debian.org>  Sun, 21 Aug 2016 15:23:04 +0200

liquidwar (5.6.4-4) unstable; urgency=low

  * Team upload.

  [ Evgeni Golov ]
  * Correct Vcs-* URLs to point to anonscm.debian.org

  [ Paul Wise ]
  * Add build-arch/build-indep targets to fix FTBFS with unreleased dpkg (Closes: #822050)

 -- Paul Wise <pabs@debian.org>  Fri, 15 Jul 2016 18:55:52 +0800

liquidwar (5.6.4-3) unstable; urgency=low

  * Team upload.
  * Properly link liquidwar-mapgen to libm, patch by Stephen Kitt, thanks!
    Closes: #555468
  * Add misc:Depends to Depends, thanks lintian.
  * Slightly fix descriptions.

 -- Evgeni Golov <evgeni@debian.org>  Sun, 08 May 2011 01:40:12 +0200

liquidwar (5.6.4-2) unstable; urgency=low

  [ Barry deFreese ]
  * Update my e-mail address.
  * Don't remove .pc dir before running quilt pop -a.
  * Remove path from true in preinst.
  * Add set -e to preinst.
  * Update long descriptions for -data and -server packages.
  * Bump Standards Version to 3.8.2. (No changes needed).

 -- Barry deFreese <bdefreese@debian.org>  Sat, 25 Jul 2009 10:36:12 -0400

liquidwar (5.6.4-1) unstable; urgency=low

  [ Barry deFreese ]
  * New maintainer.
    + Thanks to Alexandre Pineau for his work.
    + Set maintainer to Debian Games Team.
  * Acknowledge NMUs. (Closes: #392931, #472402).
  * New upstream release.
  * Add myself to uploaders.
  * Drop python-xml build-dep. (Closes: #468633).
  * Add Homepage entry.
  * Add VCS tags.
  * 030_desktop.diff - New patch. (Closes: #480327).
    + Thanks to Siegfried-Angel Gevatter Pujals for the patch.
  * 040_nostrip.diff. Handle nostrip build options. (Closes: #437480).
  * Add watch file.
  * Make clean not ignore errors.
  * Fix debian/copyright file.
  * Fix doc base section.
  * Move DH_COMPAT to debian/compat.
  * Bump Standards Version to 3.8.0. (No changes needed).

 -- Barry deFreese <bddebian@comcast.net>  Tue, 16 Sep 2008 16:23:56 -0400

liquidwar (5.6.3-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS on amd64 by disabling the x86-only assembly
    Patch from Ubuntu by Stefan Potrya closes: #451436

 -- Paul Wise <pabs@debian.org>  Sun, 23 Mar 2008 13:26:23 +0900

liquidwar (5.6.3-3) unstable; urgency=low

  * Maintainer upload.
  * Acknowledge previous NMU (Closes: #391237). Thanks to Michael Ablassmeier.
  * debian/rules
     + Switched to quilt for patch handling.
     + Install .desktop file and icon
  * debian/control:
     + Set policy to 3.7.2.2 -- no changes.
     + remove ${misc:Depends} from Liquidwar depends (useless in our case)
     + replace {Source-Version} by {source:Version} for liquidwar-data
     + replace {Source-Version} by {binary:Version} for liquidwar-server
     + Build-depend on quilt.
     
  * 010_doc.diff: (new patch from old diff.gz)
     + documentation fixes.
     
  * 010_misc.diff: (new patch from old diff.gz) 
     + changed color palette of liquidwar_32x32.xpm

 -- Alexandre Pineau <alexandre.pineau@free.fr>  Wed, 25 Oct 2006 01:17:05 +0200

liquidwar (5.6.3-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add Replaces for liquidwar << 5.6.2-2 in order to ensure
    upgradeability from sarge (Closes: #391237) 

 -- Michael Ablassmeier <abi@debian.org>  Fri, 13 Oct 2006 11:29:09 +0200

liquidwar (5.6.3-2) unstable; urgency=low

  * Added myself to uploaders
  * Added missing build-dep: libxcursor-dev
  * Added myself to uploaders, finally
  * debian/rules: added missing space before \ in the configure call to pass
    the build arch correctly, now builds on amd64 (closes: #339052, #317493)

 -- Eduard Bloch <blade@debian.org>  Sun, 19 Mar 2006 12:24:27 +0100

liquidwar (5.6.3-1) unstable; urgency=low

  * New upstream release
       - Fixed Joystick support (Closes: 179090) 
  * Liquidwar 5.6.3 requires Allegro 4.2, so update Build-Depends to
    reflect this (Closes: #350859)
  * update copyright
  * use debhelper compatibility version 5
       - update Build-Depends: debhelper (>= 5)
  * in doc/xml/rules.xml, correct the name 'Samohyl' to avoid warning in
    man page    

 -- Alexandre Pineau <alexandre.pineau@free.fr>  Thu,  9 Feb 2006 22:34:33 +0100

liquidwar (5.6.2-2) unstable; urgency=low

  * default screen is now "Windowed" instead of "full screen"
    (Closes: #262732)
  * use quoted strings in menu.liquidwar   
  * Standards-Version bumped to 3.6.2.1 -- no changes.
  * create a liquidwar-server package. Indeed, liquidwar server doesn't depend
    on X11, so it can be installed now on a server without X Window system.
    (Closes: #321812)  
  * Build-Depend on debhelper (>=4.9.0) to follow the move of menus to 
    /usr/share/menu   
    
 -- Alexandre Pineau <alexandre.pineau@free.fr>  Sat, 27 Aug 2005 00:03:28 +0200

liquidwar (5.6.2-1) unstable; urgency=low

  * New upstream release
    + update docs
    + fixe a bug on the server
    + update the random map generator to version 0.0.1
  * use dh_installdirs to create all directories
  * use dh_install to install files (instead of dh_movefiles)
  * change the call of configure (for autoconf 2.52)
  * remove the link to PostScript and PDF documentations from HTML documentation
  * remove autotools from PHONY target
  * add 'touch autotools' to autools rule and add autotools to clean target 

 -- Alexandre Pineau <alexandre.pineau@free.fr>  Sun, 15 Feb 2004 18:46:28 +0100

liquidwar (5.6.0-1) unstable; urgency=low

  * New upstream release
    + lots of new maps
    + map generator
    + added Danish translation
  * use dh_installman instead of dh_installmanpages


=== debian/control ===
Source: liquidwar
Section: games
Priority: extra
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Barry deFreese <bdefreese@debian.org>,
 Eduard Bloch <blade@debian.org>
Build-Depends:
 autotools-dev,
 debhelper (>= 9),
 liballegro4-dev,
 python (>= 2.4),
 quilt
Standards-Version: 3.9.8
Homepage: http://www.ufoot.org/liquidwar/v5
Vcs-Svn: svn://anonscm.debian.org/pkg-games/packages/trunk/liquidwar/
Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-games/packages/trunk/liquidwar/

Package: liquidwar
Architecture: any
Depends:
 liquidwar-data (= ${source:Version}),
 liquidwar-server (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Description: truly original multiplayer wargame
 Liquid War is an original multiplayer wargame. There are no weapons, the only
 thing you have to do is to move a cursor in a 2-D battlefield. This cursor is
 followed by your army, which is composed by a  great many little fighters,
 represented by small colored squares. When fighters from different teams meet,
 they eat each other, it is as simple as that.
 .
 A single player mode is available, but the game is definitely designed to be
 multiplayer, and has network support.

Package: liquidwar-data
Architecture: all
Depends:
 ${misc:Depends}
Description: data files for Liquid War
 Liquid War is an original multiplayer wargame. There are no weapons, the only
 thing you have to do is to move a cursor in a 2-D battlefield. This cursor is
 followed by your army, which is composed by a  great many little fighters,
 represented by small colored squares. When fighters from different teams meet,
 they eat each other, it is as simple as that.
 .
 This package holds the data files necessary to play Liquid War, an original
 multiplayer wargame.

Package: liquidwar-server
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Replaces:
 liquidwar (<< 5.6.2-2)
Description: Liquid War server
 Liquid War is an original multiplayer wargame. There are no weapons, the only
 thing you have to do is to move a cursor in a 2-D battlefield. This cursor is
 followed by your army, which is composed by a  great many little fighters,
 represented by small colored squares. When fighters from different teams meet,
 they eat each other, it is as simple as that.
 .
 Liquid War is an original multiplayer wargame. This package contains the
 server for Liquid War game.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
#export DH_OPTIONS

export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
export DEB_HOST_ARCH_CPU ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
        CFLAGS += -O0
else
        CFLAGS += -O2
endif

# FOR AUTOCONF 2.52 AND NEWER ONLY
ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  confflags += --build $(DEB_HOST_GNU_TYPE)
else
  confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

# disable assembly for amd64, won't work
ifeq ($(DEB_HOST_ARCH_CPU),amd64)
  confflags += --disable-asm
endif

configure: configure-stamp
configure-stamp: autotools
	dh_testdir
	dh_quilt_patch
	./configure $(confflags) \
	--prefix=/usr --mandir=\$${prefix}/share/man \
	--infodir=\$${prefix}/share/info \
	--bindir=\$${prefix}/games \
	--disable-target-opt \
	CFLAGS="$(CFLAGS)"
	sed -i 's/install_nolink: install_bin/install_nolink: /' Makefile

	touch configure-stamp

# The autotools target adds forced build-time dependencies on
# autotools-dev (for /usr/share/misc/config.*)
# It's also a .PHONY make target.
autotools:
	-rm -f config.sub config.guess
	ln -s /usr/share/misc/config.sub config.sub
	ln -s /usr/share/misc/config.guess config.guess

	touch autotools

build-indep: build-indep-stamp
build-indep-stamp: configure
	dh_testdir -i
	$(MAKE) build_data
	cd doc; make html_yes

	touch build-indep-stamp

build-arch: build-arch-stamp
build-arch-stamp: configure
	dh_testdir -a

	$(MAKE) build_bin
	cd doc; make man/liquidwar.6.gz

	touch build-arch-stamp

build: build-indep build-arch

clean:
	dh_testdir
	dh_testroot

	[ ! -f Makefile ] || $(MAKE) distclean
	dh_quilt_unpatch

	rm -f build-arch-stamp build-indep-stamp configure-stamp autotools
	rm -f config.sub config.guess
	rm -rf .pc

	dh_clean

#install: DH_OPTIONS=
install-indep: build-indep
	dh_testdir -i
	dh_testroot -i
	dh_prep -i
	dh_installdirs -i

	$(MAKE) install_nolink DESTDIR=$(CURDIR)/debian/tmp

install-arch: build-arch
	dh_testdir -i
	dh_testroot -i
	dh_prep
	dh_installdirs

	$(MAKE) install_bin install_doc DESTDIR=$(CURDIR)/debian/tmp

install: install-indep install-arch

# Build architecture-independent files here.
# Pass -i to all debhelper commands in this target to reduce clutter.
binary-indep: #DH_OPTIONS=-i
binary-indep: install-indep
	dh_testdir -i
	dh_testroot -i
	dh_installdocs -i
	dh_installchangelogs ChangeLog -i
	dh_compress -i
	dh_install --sourcedir=debian/tmp -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
# Pass -a to all debhelper commands in this target to reduce clutter.
binary-arch: #DH_OPTIONS=-a
binary-arch: install-arch
	dh_testdir -a
	dh_testroot -a
	dh_install --sourcedir=debian/tmp -a
	mv doc/man/liquidwar.6.gz doc/man/liquidwar-server.6.gz
	dh_installman -pliquidwar-server doc/man/liquidwar-server.6.gz
	dh_link -pliquidwar usr/share/man/man6/liquidwar-server.6.gz usr/share/man/man6/liquidwar-mapgen.6.gz
	dh_link -pliquidwar usr/share/man/man6/liquidwar-server.6.gz usr/share/man/man6/liquidwar.6.gz
	cp misc/liquidwar_32x32.xpm debian/liquidwar/usr/share/pixmaps/lw_32x32.xpm
	cp misc/liquidwar.xpm debian/liquidwar/usr/share/pixmaps/
	cp misc/liquidwar.desktop debian/liquidwar/usr/share/applications/
	ln -s liquidwar-data debian/liquidwar/usr/share/doc/liquidwar
	dh_installdocs -a
	dh_installchangelogs -pliquidwar-server ChangeLog
	dh_installmenu -pliquidwar
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build-indep build-arch build clean binary-indep binary-arch binary install-indep install-arch install #autotools

=== debian/watch ===
version=3

http://download.savannah.gnu.org/releases/liquidwar/liquidwar-([\d.]+)\.tar\.gz

## liquidwar 5.6.5

=== debian/changelog ===
liquidwar (5.6.5-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:51:13 +1100

liquidwar (5.6.5-2build1) noble; urgency=high

  * No change rebuild against liballegro4.4t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:38:53 +0100

liquidwar (5.6.5-2) unstable; urgency=medium

  * Team upload.
  * Fix FTBFS with GCC 10. (Closes: #957493)
  * Bump debhelper compat level to 13.
  * Bump Standards-Version to 4.5.0.

 -- Reiner Herrmann <reiner@reiner-h.de>  Sun, 26 Jul 2020 14:13:53 +0200

liquidwar (5.6.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - Fixes mapgen crash (Closes: #716610)
  * Drop patches applied upstream and refresh the others.
  * Update Standards-Version to 4.4.0:
    - remove obsolete menu file
    - switch priority from extra to optional
    - declare that d/rules does not require root
  * Convert to dh-style build.
  * Update to debhelper compat level 12.
  * Point Vcs-* fields to salsa.
  * Remove trailing whitespace in changelog.
  * Enable all hardening options.
  * Add patch to honour CPPFLAGS.
  * Update homepage and watch file.
  * Convert d/copyright to copyright format 1.0.
  * Port makedoc.py to Python 3.

 -- Reiner Herrmann <reiner@reiner-h.de>  Sat, 24 Aug 2019 00:00:27 +0200

liquidwar (5.6.4-6) unstable; urgency=medium

  * Team upload.
  * Add patch to build with fix*-functions in Allegro, instead of
    f*-functions, fixes conflict in glibc. (Closes: #916037)

 -- Andreas Rönnquist <gusnan@debian.org>  Sun, 09 Dec 2018 21:46:45 +0100

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,20 @@
 Source: liquidwar
 Section: games
-Priority: extra
-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Priority: optional
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders:
  Barry deFreese <bdefreese@debian.org>,
  Eduard Bloch <blade@debian.org>
 Build-Depends:
- autotools-dev,
- debhelper (>= 9),
+ debhelper-compat (= 13),
  liballegro4-dev,
- python (>= 2.4),
- quilt
-Standards-Version: 3.9.8
-Homepage: http://www.ufoot.org/liquidwar/v5
-Vcs-Svn: svn://anonscm.debian.org/pkg-games/packages/trunk/liquidwar/
-Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-games/packages/trunk/liquidwar/
+ python3
+Standards-Version: 4.5.0
+Homepage: https://ufoot.org/liquidwar/v5
+Rules-Requires-Root: no
+Vcs-Git: https://salsa.debian.org/games-team/liquidwar.git
+Vcs-Browser: https://salsa.debian.org/games-team/liquidwar
 
 Package: liquidwar
 Architecture: any

=== debian/watch ===
version=4
https://ufoot.org/liquidwar/v5 .*/liquidwar-@ANY_VERSION@@ARCHIVE_EXT@
